## camlp5 5.08

=== etc/Makefile ===
# $Id: Makefile 1890 2008-01-21 14:21:56Z deraugla $

include ../config/Makefile

INCLUDES=-I ../main -I ../boot
OCAMLCFLAGS=-warn-error A $(INCLUDES)
OBJS=pa_o.cmo pa_op.cmo pa_oop.cmo pa_sml.cmo pa_lisp.cmo pa_scheme.cmo pa_extfold.cmo pa_extfun.cmo pa_extprint.cmo pa_lefteval.cmo pa_pprintf.cmo pa_pragma.cmo pr_r.cmo pr_ro.cmo pr_rp.cmo pr_o.cmo pr_op.cmo pr_scheme.cmo pr_schemep.cmo pr_extend.cmo pr_extfun.cmo pr_extprint.cmo pr_depend.cmo pr_null.cmo q_phony.cmo
CAMLP5OM=pa_o.cmo pa_op.cmo ../meta/pr_dump.cmo
CAMLP5SCHM=pa_scheme.cmo ../meta/pr_dump.cmo
CAMLP5OMX=pa_o.cmx pa_op.cmx ../meta/pr_dump.cmx
SHELL=/bin/sh
COUT=$(OBJS) $(NAME)o$(EXE) $(NAME)sch$(EXE)
COPT=$(OBJS:.cmo=.cmx) $(NAME)o.opt

all: $(COUT) mk$(NAME).sh META
opt: $(COPT) mk$(NAME).opt.sh

META: META.tpl
	sed -e "s|@VERSION@|$(VERSION)|" -e "s|@CAMLP5DIR@|$(LIBDIR)/camlp5|" META.tpl > META


$(NAME)o$(EXE): ../main/$(NAME)$(EXE) $(CAMLP5OM)
	rm -f $(NAME)o$(EXE)
	cd ../main; $(MAKE) CAMLP5=../etc/$(NAME)o$(EXE) CAMLP5M="-I ../etc $(CAMLP5OM)"

$(NAME)sch$(EXE): ../main/$(NAME)$(EXE) $(CAMLP5SCHM)
	rm -f $(NAME)sch$(EXE)
	cd ../main; $(MAKE) CAMLP5=../etc/$(NAME)sch$(EXE) CAMLP5M="-I ../etc $(CAMLP5SCHM)"

$(NAME)o.opt: $(CAMLP5OMX)
	rm -f $(NAME)o.opt
	cd ../main; $(MAKE) optp5 CAMLP5OPT=../etc/$(NAME)o.opt CAMLP5M="-I ../etc $(CAMLP5OMX)"

mk$(NAME).sh: mkcamlp5.sh.tpl
	sed -e "s!LIBDIR!$(LIBDIR)!g" -e "s/camlp5/$(NAME)/g" mkcamlp5.sh.tpl > mk$(NAME).sh

mk$(NAME).opt.sh: mkcamlp5.opt.sh.tpl
	sed -e "s!LIBDIR!$(LIBDIR)!g" -e "s/camlp5/$(NAME)/g" mkcamlp5.opt.sh.tpl > mk$(NAME).opt.sh

bootstrap_scheme:
	@$(MAKE) --no-print-directory bootstrap_l L=scheme
compare_scheme:
	@$(MAKE) --no-print-directory compare_l L=scheme
bootstrap_lisp:
	@$(MAKE) --no-print-directory bootstrap_l L=lisp
compare_lisp:
	@$(MAKE) --no-print-directory compare_l L=lisp

bootstrap_l:
	ocamlrun$(EXE) ../boot/$(NAME) ./pa_$Lr.cmo -I ../boot pa_extend.cmo ./pr_r.cmo ./pr_extend.cmo ./pr_rp.cmo ./q_phony.cmo pa_$L.ml > tmp
	mv pa_$Lr.ml pa_$Lr.ml.old
	sed -e 's/^;; \(.*\)$$/(* \1 *)/' -e 's/^; \(.*\)$$/(* \1 *)/' -e 's|./pa_$Lr.cmo|pa_r.cmo pa_rp.cmo|' -e 's/$$Id.*\$$/File generated by pretty print; do not edit!/' tmp > pa_$Lr.ml
	rm -f tmp

compare_l:
	ocamlrun$(EXE) ../boot/$(NAME) ./pa_$Lr.cmo -I ../boot pa_extend.cmo ./pr_r.cmo ./pr_extend.cmo ./pr_rp.cmo ./q_phony.cmo pa_$L.ml | sed -e 's/^;; \(.*\)$$/(* \1 *)/' -e 's/^; \(.*\)$$/(* \1 *)/' -e 's|./pa_$Lr.cmo|pa_r.cmo pa_rp.cmo|' -e 's/$$Id.*\$$/File generated by pretty print; do not edit!/' | diff -c pa_$Lr.ml -

clean::
	rm -f *.cm* *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak *.out *.opt
	rm -f mk$(NAME).sh mk$(NAME).opt.sh $(NAME)o$(EXE) $(NAME)sch$(EXE)
	rm -f META

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.mli *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

get_promote:

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)" "$(DESTDIR)$(BINDIR)"
	rm -f "$(DESTDIR)$(LIBDIR)/$(NAME)/pa_lex.cmo"
	cp $(OBJS) "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp lib.sml "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp $(NAME)o$(EXE) $(NAME)sch$(EXE) "$(DESTDIR)$(BINDIR)/."
	cp mk$(NAME).sh "$(DESTDIR)$(BINDIR)/mk$(NAME)"
	chmod a+x "$(DESTDIR)$(BINDIR)/mk$(NAME)"
	if test -f pa_o.cmx; then \
	  cp $(OBJS:.cmo=.cmx) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  cp $(OBJS:.cmo=$(EXT_OBJ)) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  cp $(NAME)o.opt "$(DESTDIR)$(BINDIR)/."; \
	  cp mk$(NAME).opt.sh "$(DESTDIR)$(BINDIR)/mk$(NAME).opt"; \
	  chmod a+x "$(DESTDIR)$(BINDIR)/mk$(NAME).opt"; \
	fi

pa_lisp.cmo: pa_lispr.cmo
pa_scheme.cmo: pa_schemer.cmo
pr_extend.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_extfun.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_extprint.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_o.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_op.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_r.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_ro.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
pr_rp.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo
q_phony.cmo: pa_extfun.cmo pa_extprint.cmo pa_pprintf.cmo

include .depend

=== man/Makefile ===
# $Id: Makefile 1889 2008-01-13 22:37:19Z deraugla $

include ../config/Makefile

TARGET=$(NAME).1

all: $(TARGET)

clean::
	rm -f $(TARGET)

depend:

get_promote:

install:
	-$(MKDIR) "$(DESTDIR)$(MANDIR)/man1"
	-cp $(TARGET) "$(DESTDIR)$(MANDIR)/man1/."
	for i in $(NAME)o.1 $(NAME)r.1 $(NAME)sch.1 mkcamlp5.1 ocpp5.1; do \
	  cd "$(DESTDIR)$(MANDIR)/man1"; rm -f $$i; ln -s $(TARGET) $$i; \
	done
	for i in $(NAME)o.opt.1 $(NAME)r.opt.1 mkcamlp5.opt.1; do \
	  cd "$(DESTDIR)$(MANDIR)/man1"; rm -f $$i; ln -s $(TARGET) $$i; \
	done

$(NAME).1: camlp5.1.tpl
	sed -e "s'LIBDIR'$(LIBDIR)'g" -e "s/camlp5/$(NAME)/g" camlp5.1.tpl > $(NAME).1

=== ocpp/Makefile ===
# $Id: Makefile 1563 2007-11-26 09:20:52Z deraugla $

include ../config/Makefile

SHELL=/bin/sh

INCLUDES=-I ../main -I ../boot -I ../odyl
OCAMLCFLAGS=-warn-error A $(INCLUDES)
LINKFLAGS=$(INCLUDES)
OBJS=ocpp.cmo

all: ocpp$(EXE)

ocpp$(EXE): $(OBJS)
	$(OCAMLC) $(LINKFLAGS) ../boot/ploc.cmo ../boot/stdpp.cmo ../main/quotation.cmo ../odyl/odyl.cma $(OBJS) ../odyl/odyl.cmo -linkall -o ocpp$(EXE)

clean::
	rm -f *.cm[ioa] *.pp[io] *.[ao] *.obj *.lib *.out *.bak .*.bak
	rm -f ocpp$(EXE)

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)" "$(DESTDIR)$(BINDIR)"
	cp $(OBJS) "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp ocpp$(EXE) "$(DESTDIR)$(BINDIR)/ocpp5$(EXE)"

depend:

=== top/Makefile ===
# $Id: Makefile 1863 2008-01-05 11:36:32Z deraugla $

TOP=..
include ../config/Makefile

INCLUDES=-I ../main -I ../boot -I $(OTOP)/utils -I $(OTOP)/parsing -I $(OTOP)/typing -I $(OTOP)/toplevel
OCAMLCFLAGS=-warn-error A $(INCLUDES)

CAMLP5_OBJS=$(OTOP)/utils/pconfig.cmo ../boot/ploc.cmo ../boot/plexing.cmo ../boot/plexer.cmo ../boot/fstream.cmo ../boot/gramext.cmo ../boot/grammar.cmo ../boot/diff.cmo ../boot/extfold.cmo ../boot/extfun.cmo ../boot/pretty.cmo ../boot/pprintf.cmo ../boot/eprinter.cmo ../main/quotation.cmo ../main/ast2pt.cmo ../main/reloc.cmo ../main/exparser.cmo ../main/pcaml.cmo ../main/prtools.cmo ../boot/stdpp.cmo ../boot/token.cmo
CTOP=camlp5_top.cmo
ROBJS=$(CAMLP5_OBJS) ../meta/pa_r.cmo ../meta/pa_rp.cmo rprint.cmo $(CTOP)
OOBJS=$(CAMLP5_OBJS) ../etc/pa_o.cmo ../etc/pa_op.cmo $(CTOP)
SOBJS=$(CAMLP5_OBJS) ../etc/pa_scheme.cmo $(CTOP)
OOOBJS=$(CAMLP5_OBJS) ../etc/pa_o.cmo ../etc/pa_oop.cmo $(CTOP)
OBJS=$(OTOP)/utils/pconfig.cmo ../main/quotation.cmo ../main/reloc.cmo ../main/ast2pt.cmo ../main/pcaml.cmo camlp5_top.cmo

TARGET=$(NAME)o.cma $(NAME)r.cma $(NAME)sch.cma $(NAME)_top.cma

all: $(TARGET)

$(NAME)oo.cma: $(OOOBJS)
	$(OCAMLC) $(OOOBJS) -linkall -a -o $(NAME)oo.cma

$(NAME)o.cma: $(OOBJS)
	$(OCAMLC) $(OOBJS) -linkall -a -o $(NAME)o.cma

$(NAME)r.cma: $(ROBJS)
	$(OCAMLC) $(ROBJS) -linkall -a -o $(NAME)r.cma

$(NAME)sch.cma: $(SOBJS)
	$(OCAMLC) $(SOBJS) -linkall -a -o $(NAME)sch.cma

$(NAME)_top.cma: $(OBJS)
	$(OCAMLC) $(OBJS) -a -o $(NAME)_top.cma

clean::
	rm -f *.cm[ioa] *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak $(TARGET)

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.mli *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

get_promote:

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)"
	cp $(TARGET) "$(DESTDIR)$(LIBDIR)/$(NAME)/."

include .depend

=== doc/htmlp/Makefile ===
# $Id: Makefile 1823 2007-12-28 13:43:03Z deraugla $

H=../html
OBJS=$H/index.html $H/about.html $H/ast_strict.html $H/ast_transi.html $H/bparsers.html $H/commands.html $H/conclusion.html $H/extfun.html $H/fparsers.html $H/grammars.html $H/lexers.html $H/library.html $H/locations.html $H/macros.html $H/ml_ast.html $H/opretty.html $H/parsers.html $H/pcaml.html $H/pprintf.html $H/pragma.html $H/pretty.html $H/printers.html $H/ptools.html $H/q_ast.html $H/quot.html $H/revsynt.html $H/scheme.html $H/sources.html $H/strict.html $H/syntext.html
RSS=$H/rss/camlp5.rss
INDEX=index.html

all: $(OBJS) $(RSS)

info:
	@$(MAKE) --no-print-directory camlp5.info H=.

tex:
	@$(MAKE) --no-print-directory camlp5.dvi H=.

camlp5.info: html2texi $(OBJS)
	./html2texi > camlp5.texi
	makeinfo --force camlp5.texi

camlp5.dvi: camlp5.tex
	latex camlp5.tex
	latex camlp5.tex
	latex camlp5.tex

camlp5.tex: html2latex $(OBJS)
	./html2latex > camlp5.tex

clean:
	rm -f $(OBJS) $(RSS)
	rm -f camlp5.texi camlp5.info*
	rm -f camlp5.tex camlp5.dvi camlp5.log camlp5.toc camlp5.aux

../html/%.html: %.html menu.html trailer.html
	@mkdir -p ../html
	@rm -f $@
	./htmlp2html $< > $@
	@chmod 444 $@

../html/rss/%.rss: %.rss
	@mkdir -p ../html/rss
	@rm -f $@
	cp $< $@
	@chmod 444 $@

=== ocaml_src/odyl/Makefile ===
# This file has been generated by program: do not edit!

TOP=../..
include $(TOP)/config/Makefile

SHELL=/bin/sh

INCLUDES=
OCAMLCFLAGS=-warn-error A $(INCLUDES)
LINKFLAGS=$(INCLUDES)

OBJS=odyl_config.cmo odyl_main.cmo

all: odyl$(EXE)

opt: odyl.cmxa odyl.cmx

odyl$(EXE): odyl.cma odyl.cmo
	$(OCAMLC) odyl.cma odyl.cmo -o odyl$(EXE)

odyl.cma: $(OBJS)
	$(OCAMLC) $(LINKFLAGS) dynlink.cma $(OBJS) -a -o odyl.cma

odyl.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(LINKFLAGS) $(OBJS:.cmo=.cmx) -a -o odyl.cmxa

odyl_main.cmx: odyl_main.ml
	$(CAMLP5_COMM) -DOPT -o odyl_main.ppo odyl_main.ml
	$(OCAMLOPT) -c -impl odyl_main.ppo
	rm -f odyl_main.ppo

odyl_config.ml:
	echo "let standard_library =" > odyl_config.ml
	echo "  try Sys.getenv \"CAMLP5LIB\" with" >> odyl_config.ml
	echo "    Not_found -> \"$(LIBDIR)/$(NAME)\"" | \
	sed -e 's|\\|/|g' >> odyl_config.ml

clean::
	rm -f *.cm* *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak *.out *.opt
	rm -f odyl_config.ml odyl$(EXE)

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.mli *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

promote:

compare:

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)" "$(DESTDIR)$(BINDIR)"
	cp odyl.cmo odyl.cma "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	if test -f odyl.cmxa; then \
	  cp odyl.cmxa odyl.cmx "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  cp odyl$(EXT_LIB) odyl$(EXT_OBJ) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	fi

include .depend

=== ocaml_stuff/common/utils/Makefile ===
# $Id: Makefile 46 2006-11-30 13:26:52Z deraugla $

FILES=warnings.cmi pconfig.cmo
INCL=

all: $(FILES)

opt: pconfig.cmx

clean:
	rm -f *.cm[oix] *.o

depend:
	ocamldep $(INCL) *.ml* > .depend

.SUFFIXES: .mli .cmi .ml .cmo .cmx

.mli.cmi:
	ocamlc $(INCL) -c $<

.ml.cmo:
	ocamlc $(INCL) -c $<

.ml.cmx:
	ocamlopt $(INCL) -c $<

include .depend

## camlp5 5.12

=== compile/Makefile ===
# $Id: Makefile 1907 2008-03-31 21:11:07Z deraugla $

TOP=..
include ../config/Makefile

INCLUDES=-I ../main -I ../boot
OCAMLCFLAGS=$(OCAMLC_W_Y) -warn-error A $(INCLUDES)
SRC=../etc/pa_o.ml ../etc/pa_op.ml
D=o
COMP_OPT=-strict_parsing
COMP_OPT=-e "Grammar.Entry.obj Pcaml.interf" -e "Grammar.Entry.obj Pcaml.implem" -e "Grammar.Entry.obj Pcaml.top_phrase" -e "Grammar.Entry.obj Pcaml.use_file"

all: out

out: $(NAME)$D.fast
opt: $(NAME)$D.fast.opt

$(NAME)$D.fast: pa_$D_fast.cmo
	rm -f $(NAME)$D.fast
	cd ../main; $(MAKE) CAMLP5=../compile/$(NAME)$D.fast CAMLP5M="../compile/pa_$D_fast.cmo ../meta/pr_dump.cmo"

$(NAME)$D.fast.opt: pa_$D_fast.cmx
	rm -f $(NAME)$D.fast.opt
	cd ../main; $(MAKE) optp5 CAMLP5OPT=../compile/$(NAME)$D.fast.opt CAMLP5M="../compile/pa_$D_fast.cmx ../meta/pr_dump.cmx"

pa_$D_fast.ml: comp_head.ml.tpl $D_fast.ml.tmp comp_trail.ml.tpl
	cat $(SRC) | sed -e "s/Plexer.gmake ()/P.lexer/" -e "/EXTEND/,/END/d" -e "/Grammar.Entry.of_parser/d" -e "/Grammar.Entry.gcreate/d" -e "/Grammar.Entry.create/d" | cat comp_head.ml.tpl - $D_fast.ml.tmp comp_trail.ml.tpl > pa_$D_fast.ml

$D_fast.ml.tmp: compile.cmo $(SRC)
	OTOP=$(OTOP) NAME=$(NAME) EXE=$(EXE) ./compile.sh $(COMP_OPT) $(SRC) > $D_fast.ml.tmp

install:
	if test -f $(NAME)o.fast.opt; then \
	  cp $(NAME)o.fast.opt "$(DESTDIR)$(BINDIR)/$(NAME)o.opt"; \
	fi
	if test -f pa_o_fast.cmx; then \
	  cp pa_o_fast.cmx pa_o_fast.o "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	fi

clean::
	rm -f *.cm* *.pp[io] *.[oa] *.lib *.obj *.bak .*.bak *.out *.opt
	rm -f *.fast tmp.* pa_*_fast.ml *_fast.ml.tmp

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in *.ml; do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

include .depend

=== test/Makefile ===
# $Id: Makefile 1804 2007-12-27 10:30:24Z deraugla $
# Copyright (c) INRIA 2007-2008

DEP=../etc/pr_r.cmo quot_r.out.ml

all: quot_r.mlt quot_r.mlu quot_o.mlu

clean:
	rm -f *.ml[tu]

quot_r.mlt: quot_r.ml ../meta/camlp5r ../meta/q_MLast.cmo $(DEP)
	../meta/camlp5r ../meta/q_MLast.cmo ../etc/pr_r.cmo quot_r.ml | diff quot_r.out.ml -
	@touch $@

quot_r.mlu: quot_r.ml ../meta/camlp5r ../meta/q_ast.cmo $(DEP)
	../meta/camlp5r ../meta/q_ast.cmo ../etc/pr_r.cmo quot_r.ml | diff quot_r.out.ml -
	@touch $@

quot_o.mlu: quot_o.ml ../etc/camlp5o ../meta/q_ast.cmo $(DEP)
	../etc/camlp5o ../meta/q_ast.cmo ../etc/pr_r.cmo quot_o.ml | diff quot_r.out.ml -
	@touch $@

quot_sch.mlu: quot_sch.ml ../etc/camlp5sch ../meta/q_ast.cmo $(DEP)
	../etc/camlp5sch ../meta/q_ast.cmo ../etc/pr_r.cmo quot_sch.ml | diff quot_r.out.ml -
	@touch $W

=== ocaml_stuff/3.09.3/parsing/Makefile ===
# $Id: Makefile 82 2006-12-05 23:24:53Z deraugla $

FILES=asttypes.cmi location.cmi longident.cmi parsetree.cmi
INCL=-I ../utils

all: $(FILES)

clean:
	rm -f *.cmi

depend:
	ocamldep $(INCL) *.ml* > .depend

.SUFFIXES: .mli .cmi

.mli.cmi:
	ocamlc $(INCL) -c $<

include .depend

=== debian/changelog ===
camlp5 (5.12-3) unstable; urgency=low

  * Switch source format to 3.0 (quilt)
  * Add support for OCaml 3.11.2:
    - add Add-partial-OCaml-3.11.2-support.patch
  * Add Fix-typos-in-manpage.patch
  * debian/control:
    - add suggestion to ocaml-findlib
    - update Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 31 Jan 2010 10:13:13 +0100

camlp5 (5.12-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Update debian/{control,rules} to use new dh-ocaml
  * Update my e-mail address and remove DMUA
  * Add Mehdi Dogguy to Uploaders
  * Update Standards-Version to 3.8.3

  [ Mehdi Dogguy ]
  * Build-depend on dh-ocaml (>= 0.9.1) which fixes a bug when calling
    ocaml-lintian.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 29 Oct 2009 13:44:22 +0100

camlp5 (5.12-1) unstable; urgency=low

  * New upstream release, ready for OCaml 3.11.1 (Closes: #534924)
  * Move to section ocaml
  * Add DM-Upload-Allowed
  * Update Standards-Version to 3.8.2
  * Switch debian/copyright to new format

 -- Stephane Glondu <steph@glondu.net>  Sun, 28 Jun 2009 11:10:13 +0200

camlp5 (5.10-3) unstable; urgency=low

  * uploading to unstable
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet, bump dh-ocaml
    build-dep to the minimum version implementing this
  * bump debhelper compatibility level to 7
  * debian/copyright: reference GPL-3 file for packaging license

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 14:24:21 +0100

camlp5 (5.10-2) experimental; urgency=low

  * Versioned build-dep on ocaml-compiler-libs.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Dec 2008 01:02:54 +0100

camlp5 (5.10-1) experimental; urgency=low

  * New upstream release, compatible with OCaml 3.11.0 (Closes: #507884)
  * Switch packaging to git
  * Add build-dependency to dh-ocaml
  * Add myself to uploaders
  * Update Standards-Version to 3.8.0
  * Add versioned dependency to OCaml to avoid confusion

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 20:03:34 +0100

camlp5 (5.08-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Rebuild for ocaml 3.10.2
  * Add Sylvain Le Gall to uploaders

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 21 May 2008 23:35:53 +0200

camlp5 (5.08-1) experimental; urgency=low

  [ Ralf Treinen ]
  * NMU with maintainer's blessing
  * rebuild against ocaml 3.10.2

  [ Stefano Zacchiroli ]
  * new upstream release. This release compiles with ocaml 3.10.2
    (closes: Bug#472923).

 -- Ralf Treinen <treinen@debian.org>  Mon, 07 Apr 2008 22:23:51 +0200

camlp5 (5.07-1) unstable; urgency=low

  * new upstream release
  * rebuild against ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 18:08:41 +0100

camlp5 (5.06-2) unstable; urgency=low

  * debian/control: fix out of date vcs-urls

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 31 Dec 2007 13:28:25 +0100

camlp5 (5.06-1) unstable; urgency=low

  * new upstream release
  * update standards version, no changes needed
  * debian/rules: enable generation of ocamldoc api reference, adding to this
    end debian/camlp5r_w_macro.sh (a camlp5 filter to preprocess sources
    before passing them to ocamldoc)
  * add build-dep and dep on ocaml-compiler-libs, as some parts of camlp5 rely
    on the Parsetree module

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 30 Dec 2007 12:04:50 +0100

camlp5 (5.04-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Nov 2007 10:38:51 +0100

camlp5 (5.03-1) unstable; urgency=low

  * new upstream release
    - ship native code objects (closes: #441921)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 20 Nov 2007 11:08:09 +0100

camlp5 (5.02-1) unstable; urgency=low

  * new upstream release
  * uploading to unstable
  * better debian/watch line: account for tarballs in subdirs and skip docs
  * install HTML version of the documentation and register it with doc-base

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 17 Nov 2007 16:16:37 +0100

camlp5 (5.00-1) experimental; urgency=low

  * new upstream release
  * add Homepage field to debian/control
  * remove patch install_destdir (no longer needed since now upstream Makefile
    support vanilla DESTDIR passing)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 27 Sep 2007 22:13:32 +0200

camlp5 (4.08-1) unstable; urgency=low

  * new upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 15:57:39 +0200

camlp5 (4.05-1) experimental; urgency=low

  * Initial release (Closes: #432587)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 22 Jul 2007 19:31:53 +0200

=== debian/control ===
Source: camlp5
Section: ocaml
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stefano Zacchiroli <zack@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.11.1-3~),
 ocaml-compiler-libs
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlp5.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlp5.git
Homepage: http://pauillac.inria.fr/~ddr/camlp5/

Package: camlp5
Architecture: any
Depends:
 ocaml-compiler-libs,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Conflicts: ocaml-nox (<< 3.10.0)
Description: Pre Processor Pretty Printer for OCaml - classical version
 Objective Caml (OCaml) is an implementation of the ML language,
 based on the Caml Light dialect extended with a complete
 class-based object system and a powerful module system in the
 style of Standard ML.
 .
 CamlP4 is a Pre-Processor-Pretty-Printer for Objective Caml. It
 offers tools for syntax (Stream Parsers and Grammars) and the
 ability to modify the concrete syntax of the language
 (Quotations, Syntax Extensions).
 .
 This package contains the "classical" version of CamlP4
 executables and libraries for pre-processing and pretty-printing
 OCaml sources both interactively and in a batch fashion. The
 "classical" version is the implementation of CamlP4 which used
 to be distributed with OCaml before the release of version 3.10.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGNAME = camlp5
OCAML_OCAMLDOC_PACKAGES = $(PKGNAME)
OCAML_OCAMLDOC_FLAGS += -pp debian/camlp5r_w_macro.sh
OCAML_OCAMLDOC_FLAGS += -I +compiler-libs/parsing/
OCAML_DHOCAML_FLAGS += \
  --runtime-map camlp5 \
  --nodefined-map camlp5:Dynlinkaux,Dynlink # temporary hack, should be fixed

CONFIGURE_FLAGS =
CONFIGURE_FLAGS += -name $(PKGNAME)
CONFIGURE_FLAGS += -mandir /usr/share/man

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET = world.opt
else
DEB_MAKE_BUILD_TARGET = world
endif

configure/$(PKGNAME):: debian/configure-stamp
debian/configure-stamp:
	cp -a ocaml_stuff/3.11.1 ocaml_stuff/3.11.2
	sed -i \
	  -e 's/let ocaml_version = "3.11.1"/let ocaml_version = "3.11.2"/' \
	  ocaml_stuff/3.11.2/utils/pconfig.ml
	cp -a ocaml_src/main/ast2pt.ml_3.11.1 ocaml_src/main/ast2pt.ml_3.11.2
	./configure $(CONFIGURE_FLAGS)
	touch debian/configure-stamp
clean::
	rm -f debian/configure-stamp
	rm -f doc/html/*.html config/Makefile config/Makefile.cnf myconfig
	rm -Rf doc/html/rss
	rm -f ocaml_src/main/ast2pt.ml
	rm -Rf ocaml_stuff/3.11.2 ocaml_src/main/ast2pt.ml_3.11.2

pre-build:: debian/META
debian/META: debian/META.src
	sed 's/@NAME@/$(PKGNAME)/g' < $< > $@
clean::
	rm -f debian/META

build/$(PKGNAME)::
	$(MAKE) -C doc/htmlp/
	chmod +x debian/camlp5r_w_macro.sh

## camlp5 5.14

=== Makefile ===
# $Id: Makefile,v 1.45 2010/04/28 17:00:42 deraugla Exp $

include config/Makefile

DIRS=odyl main meta etc top ocpp lib man
FDIRS=odyl main meta lib
OPTDIRS=ocaml_stuff lib odyl main meta etc
OPTOPTDIRS=compile
SHELL=/bin/sh
COLD_FILES=ocaml_src/main/argl.ml ocaml_src/main/ast2pt.ml ocaml_src/main/ast2pt.mli ocaml_src/main/mLast.mli ocaml_src/main/pcaml.ml ocaml_src/main/pcaml.mli ocaml_src/main/quotation.ml ocaml_src/main/quotation.mli ocaml_src/main/reloc.ml ocaml_src/main/reloc.mli ocaml_src/lib/extfun.ml ocaml_src/lib/extfun.mli ocaml_src/lib/fstream.ml ocaml_src/lib/fstream.mli ocaml_src/lib/gramext.ml ocaml_src/lib/gramext.mli ocaml_src/lib/grammar.ml ocaml_src/lib/grammar.mli ocaml_src/lib/plexer.ml ocaml_src/lib/plexer.mli ocaml_src/lib/stdpp.ml ocaml_src/lib/stdpp.mli ocaml_src/lib/token.ml ocaml_src/lib/token.mli ocaml_src/meta/pa_extend.ml ocaml_src/meta/pa_extend_m.ml ocaml_src/meta/pa_macro.ml ocaml_src/meta/pa_r.ml ocaml_src/meta/pa_rp.ml ocaml_src/meta/pr_dump.ml ocaml_src/meta/q_MLast.ml ocaml_src/odyl/odyl_main.ml ocaml_src/odyl/odyl_main.mli ocaml_src/odyl/odyl.ml
PR_O=pr_o.cmo
DIFF_OPT=
# For possible installation in a fake root directory
# by "make install DESTDIR=..."
DESTDIR=

all: out

out: boot/$(NAME)$(EXE)
	cd ocaml_stuff; $(MAKE)
	set -e; for i in $(DIRS); do cd $$i; $(MAKE) all; cd ..; done

opt:
	set -e; for i in $(OPTDIRS); do cd $$i; $(MAKE) opt; cd ..; done

opt.opt:
	cd compile; $(MAKE) opt

ocaml_src/main/ast2pt.ml:
	@echo "Please run 'configure' first"; exit 2

boot/$(NAME)$(EXE): $(COLD_FILES)
	cd ocaml_stuff; $(MAKE)
	$(MAKE) clean_cold library_cold compile_cold
	$(MAKE) promote_cold
	$(MAKE) clean_cold clean_hot library

clean_hot:
	cd ocaml_stuff; $(MAKE) clean
	for i in $(DIRS) compile; do (cd $$i; $(MAKE) clean); done

depend:
	cd etc; $(MAKE) pr_depend.cmo
	cd ocaml_stuff; $(MAKE) depend
	for i in $(DIRS) compile; do (cd $$i; $(MAKE) depend); done

install:
	for i in $(DIRS) compile; do \
	  (cd $$i; $(MAKE) install DESTDIR=$(DESTDIR)); \
	done

uninstall:
	rm -rf "$(LIBDIR)/$(NAME)"
	cd "$(BINDIR)"; rm -f *$(NAME)* odyl ocpp

clean::
	$(MAKE) clean_hot clean_cold
	rm -f boot/*.cm[oi] boot/$(NAME)*
	rm -rf boot/SAVED

scratch: clean

always:

# Normal bootstrap

bootstrap: backup promote clean_hot all compare

backup:
	mkdir boot.new
	$(MAKE) mv_cvs FROM=boot TO=boot.new
	mv boot boot.new/SAVED
	mv boot.new boot

restore:
	mv boot/SAVED boot.new
	$(MAKE) mv_cvs FROM=boot TO=boot.new
	rm -rf boot
	mv boot.new boot

promote:
	for i in $(FDIRS); do (cd $$i; $(MAKE) promote); done

compare:
	@if (for i in $(FDIRS); do \
		if (cd $$i; $(MAKE) compare 2>/dev/null); then :; \
		else exit 1; fi; \
	     done); \
	then echo "Fixpoint reached, bootstrap succeeded."; \
	else echo "Fixpoint not reached, try one more bootstrapping cycle."; \
	fi

cleanboot:
	rm -rf boot/SAVED/SAVED


# Core and core bootstrap

coreboot: backup promote clean_hot core compare

core: boot/$(NAME)$(EXE)
	cd ocaml_stuff; $(MAKE) all
	set -e; for i in $(FDIRS); do cd $$i; $(MAKE) all; cd ..; done

clean_core:
	for i in $(FDIRS); do (cd $$i; $(MAKE) clean); done


# Everything in one command

world:
	$(MAKE) core
	$(MAKE) coreboot all

world.opt:
	$(MAKE) core
	$(MAKE) coreboot all opt opt.opt

library:
	cd lib; $(MAKE) all promote

# Cold start using pure Objective Caml sources

library_cold:
	cd ocaml_src/lib; $(MAKE) all promote

compile_cold:
	cd ocaml_src; set -e; \
	for i in $(FDIRS); do \
	  cd $$i; $(MAKE) all; cd ..; \
	done

promote_cold:
	for i in $(FDIRS); do \
		(cd ocaml_src/$$i; $(MAKE) promote); \
	done

clean_cold:
	for i in $(FDIRS); do \
		(cd ocaml_src/$$i; $(MAKE) clean); \
	done

# Stealing some Ocaml compiler sources

steal:
	cd ocaml_stuff; $(MAKE) steal

compare_stolen:
	cd ocaml_stuff; $(MAKE) compare_stolen

# Bootstrap the sources

TXTGEN=This file has been generated by program: do not edit!

bootstrap_sources:
	rm -rf ocaml_src.new
	$(MAKE) new_sources untouch_sources promote_sources clean_sources

new_sources:
	cd etc; $(MAKE) $(PR_O)
	mkdir ocaml_src.new
	@-for i in $(FDIRS); do \
	  (mkdir ocaml_src.new/$$i; cd ocaml_src.new/$$i; \
	   echo ============================================; \
	   echo ocaml_src.new/$$i/Makefile; \
	   sed 's/# $$Id.*\$$/# $(TXTGEN)/' ../../$$i/Makefile | \
	   sed 's-^TOP=..$$-TOP=../..-' > Makefile; \
	   echo ============================================; \
	   echo ocaml_src.new/$$i/.depend; \
	   cp ../../$$i/.depend .); \
	 done
	@-mkdir ocaml_src.new/main/ast2pt
	@-(cd ocaml_src/main/ast2pt; \
	   cp *.ml ../../../ocaml_src.new/main/ast2pt/.)
	@-for i in $(FDIRS); do \
	  (cd $$i; \
	   for j in *.ml*; do \
	     if [ "$$j" != "odyl_config.ml" ]; then \
	       k=$$j; \
	       opt=; \
	       if [ "$$k" = "ast2pt.ml" ]; then \
	         k=ast2pt/$(OVERSION).ml; \
	       fi; \
	       echo ============================================; \
	       echo ocaml_src.new/$$i/$$k; \
	       OTOP=$(OTOP) NAME=$(NAME) ../tools/conv.sh $(PR_O) $$opt $$j | \
	       sed 's/$$Id.*\$$/$(TXTGEN)/' > \
	       ../ocaml_src.new/$$i/$$k; \
	     fi; \
	   done); \
	done

compare_sources:
	cd etc; $(MAKE) $(PR_O)
	@-for i in $(FDIRS); do \
	  (cd ocaml_src/$$i; \
	   echo ============================================; \
	   echo ocaml_src/$$i/Makefile; \
	   sed 's/# $$Id.*\$$/# $(TXTGEN)/' ../../$$i/Makefile | \
	   sed 's-^TOP=..$$-TOP=../..-' | diff Makefile -; \
	   echo ============================================; \
	   echo ocaml_src/$$i/.depend; \
	   diff $(DIFF_OPT) . ../../$$i/.depend); \
	 done
	@-for i in $(FDIRS); do \
	  (cd $$i; \
	   for j in *.ml*; do \
	     if [ "$$j" != "odyl_config.ml" ]; then \
	       k=$$j; \
	       opt=; \
	       if [ "$$k" = "ast2pt.ml" ]; then \
	         k=ast2pt/$(OVERSION).ml; \
	       fi; \
	       echo ============================================; \
	       echo ocaml_src/$$i/$$k; \
	       OTOP=$(OTOP) NAME=$(NAME) ../tools/conv.sh $(PR_O) $$opt $$j | \
	       sed 's/$$Id.*\$$/$(TXTGEN)/' | \
	       diff $(DIFF_OPT) ../ocaml_src/$$i/$$k -; \
	     fi; \
	   done); \
	done

bootstrap_all_ast2pt:
	cd etc; $(MAKE) $(PR_O)
	@cd main; \
	for i in ../ocaml_src/main/ast2pt/*.ml; do \
	  echo ============================================; \
	  echo $$i; \
	  j=$$(echo $$(basename $$i) | \
	       sed -e 's/^/OCAML_/;s/.ml//' -e 's/\./_/g'); \
	  k=$$(echo OCAML_$(OVERSION) | sed -e 's/\./_/g'); \
	  OTOP=$(OTOP) NAME=$(NAME) ../tools/conv.sh $(PR_O) -U$$k -D$$j ast2pt.ml | \
	  sed -e 's/\$$Id.*\$$/$(TXTGEN)/' > $$i -; \
	done

compare_all_ast2pt:
	cd etc; $(MAKE) $(PR_O)
	@cd main; \
	for i in ../ocaml_src/main/ast2pt/*.ml; do \
	  echo ============================================; \
	  echo $$i; \
	  j=$$(echo $$(basename $$i) | \
	       sed -e 's/^/OCAML_/;s/.ml//' -e 's/\./_/g'); \
	  k=$$(echo OCAML_$(OVERSION) | sed -e 's/\./_/g'); \
	  OTOP=$(OTOP) NAME=$(NAME) ../tools/conv.sh $(PR_O) -U$$k -D$$j ast2pt.ml | \
	  sed -e 's/\$$Id.*\$$/$(TXTGEN)/' | diff $$i -; \
	done

untouch_sources:
	@-cd ocaml_src; \
	for i in $(FDIRS) main/ast2pt; do \
	  for j in $$i/*.ml* $$i/Makefile*; do \
	    if cmp -s $$j ../ocaml_src.new/$$j 2>/dev/null; then \
	      cp -p $$j ../ocaml_src.new/$$j; \
	    fi; \
	  done; \
	done

promote_sources:
	$(MAKE) mv_cvs FROM=ocaml_src TO=ocaml_src.new
	for i in $(FDIRS); do \
	  $(MAKE) mv_cvs FROM=ocaml_src/$$i TO=ocaml_src.new/$$i; \
	done
	mv ocaml_src/main/ast2pt/CVS ocaml_src.new/main/ast2pt/.
	mv ocaml_src/tools ocaml_src.new/.
	mv ocaml_src ocaml_src.new/SAVED
	mv ocaml_src.new ocaml_src

unpromote_sources:
	mv ocaml_src ocaml_src.new
	mv ocaml_src.new/SAVED ocaml_src
	mv ocaml_src.new/tools ocaml_src/.
	for i in $(FDIRS); do \
	  $(MAKE) mv_cvs FROM=ocaml_src.new/$$i TO=ocaml_src/$$i; \
	done
	mv ocaml_src.new/main/ast2pt/CVS ocaml_src/main/ast2pt/.
	$(MAKE) mv_cvs FROM=ocaml_src.new TO=ocaml_src

clean_sources:
	rm -rf ocaml_src/SAVED/SAVED

printer:
	cd etc; $(MAKE) $(PR_O)

# Utility

mv_cvs:
	test ! -d $(FROM)/CVS || mv $(FROM)/CVS $(TO)/.
	test ! -f $(FROM)/.cvsignore || mv $(FROM)/.cvsignore $(TO)/.

mv_svn:
	test ! -d $(FROM)/.svn || mv $(FROM)/.svn $(TO)/.
	test ! -f $(FROM)/.cvsignore || mv $(FROM)/.cvsignore $(TO)/.

.PHONY: install

=== compile/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1907 2008-03-31 21:11:07Z deraugla $
+# $Id: Makefile,v 1.18 2008/03/31 21:11:07 deraugla Exp $
 
 TOP=..
 include ../config/Makefile

=== etc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1890 2008-01-21 14:21:56Z deraugla $
+# $Id: Makefile,v 1.59 2010/02/17 15:31:29 deraugla Exp $
 
 include ../config/Makefile
 
@@ -80,7 +80,9 @@
 	chmod a+x "$(DESTDIR)$(BINDIR)/mk$(NAME)"
 	if test -f pa_o.cmx; then \
 	  cp $(OBJS:.cmo=.cmx) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
-	  cp $(OBJS:.cmo=$(EXT_OBJ)) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
+	  for i in $(OBJS:.cmo=); do \
+	    cp $$i$(EXT_OBJ) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
+	  done; \
 	  cp $(NAME)o.opt "$(DESTDIR)$(BINDIR)/."; \
 	  cp mk$(NAME).opt.sh "$(DESTDIR)$(BINDIR)/mk$(NAME).opt"; \
 	  chmod a+x "$(DESTDIR)$(BINDIR)/mk$(NAME).opt"; \

=== main/Makefile ===
# $Id: Makefile,v 1.21 2007/12/28 12:58:30 deraugla Exp $

TOP=..
include $(TOP)/config/Makefile

SHELL=/bin/sh

INCLUDES=-I ../odyl -I $(TOP)/boot -I $(OTOP)/utils -I $(OTOP)/parsing
OCAMLCFLAGS=-warn-error A $(INCLUDES)
LINKFLAGS=$(INCLUDES)
CAMLP5_OBJS=$(TOP)/boot/ploc.cmo $(TOP)/boot/plexing.cmo $(TOP)/boot/plexer.cmo $(TOP)/boot/fstream.cmo $(TOP)/boot/gramext.cmo $(TOP)/boot/grammar.cmo $(TOP)/boot/diff.cmo $(TOP)/boot/extfold.cmo $(TOP)/boot/extfun.cmo $(TOP)/boot/pretty.cmo $(TOP)/boot/pprintf.cmo $(TOP)/boot/eprinter.cmo $(OTOP)/utils/pconfig.cmo quotation.cmo ast2pt.cmo reloc.cmo pcaml.cmo exparser.cmo prtools.cmo parserify.cmo argl.cmo $(TOP)/boot/stdpp.cmo $(TOP)/boot/token.cmo main.cmo
CAMLP5_XOBJS=../lib/ploc.cmx ../lib/plexing.cmx ../lib/plexer.cmx ../lib/fstream.cmx ../lib/gramext.cmx ../lib/grammar.cmx ../lib/diff.cmx ../lib/extfold.cmx ../lib/extfun.cmx ../lib/pretty.cmx ../lib/pprintf.cmx ../lib/eprinter.cmx $(OTOP)/utils/pconfig.cmx quotation.cmx ast2pt.cmx reloc.cmx pcaml.cmx exparser.cmx prtools.cmx parserify.cmx argl.cmx ../lib/stdpp.cmx ../lib/token.cmx main.cmx
OBJS=../odyl/odyl.cma $(NAME).cma
CAMLP5M=

CAMLP5=$(NAME)$(EXE)
CAMLP5OPT=phony

all: $(CAMLP5)
opt: $(OBJS:.cma=.cmxa)
optp5: $(CAMLP5OPT)

$(CAMLP5): $(OBJS) ../odyl/odyl.cmo
	$(OCAMLC) $(OBJS) $(CAMLP5M) ../odyl/odyl.cmo -linkall -o $(CAMLP5)

$(CAMLP5OPT): $(OBJS:.cma=.cmxa) ../odyl/odyl.cmx
	$(OCAMLOPT) $(OBJS:.cma=.cmxa) $(CAMLP5M) ../odyl/odyl.cmx -linkall -o $(CAMLP5OPT)

$(NAME).cma: $(CAMLP5_OBJS)
	$(OCAMLC) $(LINKFLAGS) $(CAMLP5_OBJS) -a -o $(NAME).cma

$(NAME).cmxa: $(CAMLP5_XOBJS)
	$(OCAMLOPT) $(LINKFLAGS) $(CAMLP5_XOBJS) -a -o $(NAME).cmxa

clean::
	rm -f *.cm* *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak *.out *.opt
	rm -f $(CAMLP5)

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.mli *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

promote:
	cp $(CAMLP5) $(TOP)/boot/.

compare:
	@for j in $(CAMLP5); do \
		if cmp $$j $(TOP)/boot/$$j; then :; else exit 1; fi; \
	done

install:
	-$(MKDIR) "$(DESTDIR)$(BINDIR)"
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)"
	cp $(CAMLP5) "$(DESTDIR)$(BINDIR)/."
	cp mLast.mli quotation.mli ast2pt.mli pcaml.mli prtools.mli "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp mLast.cmi quotation.cmi ast2pt.cmi pcaml.cmi prtools.cmi "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp $(NAME).cma "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	if test -f $(NAME).cmxa; then \
	  cp $(NAME).cmxa "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  cp $(NAME)$(EXT_LIB) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	fi

include .depend

=== man/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1889 2008-01-13 22:37:19Z deraugla $
+# $Id: Makefile,v 1.9 2008/01/13 22:37:19 deraugla Exp $
 
 include ../config/Makefile

=== meta/Makefile ===
# $Id: Makefile,v 1.29 2010/02/17 15:31:29 deraugla Exp $

TOP=..
include $(TOP)/config/Makefile

INCLUDES=-I ../main -I $(TOP)/boot -I $(OTOP)/utils
OCAMLCFLAGS=-warn-error A $(INCLUDES)
OBJS=q_MLast.cmo q_ast.cmo pa_r.cmo pa_rp.cmo pa_macro.cmo pa_fstream.cmo pa_extend.cmo pa_extend_m.cmo pr_dump.cmo pa_lexer.cmo
CAMLP5RM=pa_r.cmo pa_rp.cmo pr_dump.cmo
CAMLP5RMX=pa_r.cmx pa_rp.cmx pr_dump.cmx
SHELL=/bin/sh
COUT=$(OBJS) $(NAME)r$(EXE)
COPT=$(OBJS:.cmo=.cmx) $(NAME)r.opt

all: $(COUT)
opt: $(COPT)

$(NAME)r$(EXE): ../main/$(NAME)$(EXE) $(CAMLP5RM)
	rm -f $(NAME)r$(EXE)
	cd ../main; $(MAKE) OTOP=$(OTOP) CAMLP5=../meta/$(NAME)r$(EXE) CAMLP5M="-I ../meta $(CAMLP5RM)"

$(NAME)r.opt: $(CAMLP5RMX)
	rm -f $(NAME)r.opt
	cd ../main; $(MAKE) optp5 OTOP=$(OTOP) CAMLP5OPT=../meta/$(NAME)r.opt CAMLP5M="-I ../meta $(CAMLP5RMX)"

clean::
	rm -f *.cm* *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak $(COUT) $(COPT)

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

promote:
	cp $(COUT) pa_extend.cmi $(TOP)/boot/.

compare:
	@for j in $(COUT); do \
		if cmp $$j $(TOP)/boot/$$j; then :; else exit 1; fi; \
	done

bootstrap_q_MLast:
	cd ../etc; $(MAKE) pr_r.cmo pr_extend.cmo
	NAME=$(NAME) ./mk_q_MLast.sh > tmp
	mv tmp q_MLast.ml

compare_q_MLast:
	cd ../etc; $(MAKE) pr_r.cmo pr_extend.cmo
	NAME=$(NAME) ./mk_q_MLast.sh | diff -c q_MLast.ml -

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)" "$(DESTDIR)$(BINDIR)"
	cp $(OBJS) "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp pa_macro.cmi pa_extend.cmi "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	cp $(NAME)r$(EXE) "$(DESTDIR)$(BINDIR)/."
	if test -f $(NAME)r.opt; then \
	  cp $(NAME)r.opt "$(DESTDIR)$(BINDIR)/."; \
	fi
	if test -f pa_r.cmx; then \
	  cp $(OBJS:.cmo=.cmx) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  for i in $(OBJS:.cmo=); do \
	     cp $$i$(EXT_OBJ) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  done; \
	fi

include .depend

=== ocaml_stuff/Makefile ===
# $Id: Makefile,v 1.9 2007/12/21 09:54:32 deraugla Exp $

TOP=..
include ../config/Makefile

DIRS=$(OVERSION)/utils $(OVERSION)/parsing

all:
	if test "$(OTOP)" = "../ocaml_stuff/$(OVERSION)"; then \
	  set -e; \
	  for i in $(DIRS); do \
	    cd $$i; $(MAKE) all EXE=$(EXE); cd ../..; \
          done; \
	fi

opt:
	cd $(OVERSION)/utils; $(MAKE) opt

clean:
	if test "$(OTOP)" = "../ocaml_stuff/$(OVERSION)"; then \
	  set -e; \
	  for i in $(DIRS); do \
	    cd $$i; $(MAKE) clean EXE=$(EXE); cd ../..; \
	  done; \
	fi

depend:
	set -e; for i in $(DIRS); do cd $$i; $(MAKE) depend; cd ../..; done

steal:
	@if test "$(OCAML_SRC)" = ""; then \
		echo "usage: $(MAKE) steal OCAML_SRC=..."; exit 1; \
	fi
	@$(MAKE) real_steal OCAML_SRC="$$(cd ..; cd $(OCAML_SRC); pwd)"

real_steal:
	mkdir -p "$(OVERSION)"
	cd "$(OVERSION)"; mkdir -p utils parsing
	cp common/utils/pconfig.mli $(OVERSION)/utils/.
	sed 's/\$$Id.*\$$/Id/' common/utils/Makefile > \
	  $(OVERSION)/utils/Makefile
	cp common/utils/.cvsignore $(OVERSION)/utils/.
	cp common/utils/.depend $(OVERSION)/utils/.
	sed 's/\$$Id.*\$$/Id/' common/parsing/Makefile > \
	  $(OVERSION)/parsing/Makefile
	cp common/parsing/.cvsignore $(OVERSION)/parsing/.
	cp common/parsing/.depend $(OVERSION)/parsing/.
	(echo "let ocaml_version = \"$(OVERSION)\""; \
	 grep "ast_.*_magic_number" $(OCAML_SRC)/utils/config.ml | \
	 sed -e 's/^and/let/') > $(OVERSION)/utils/pconfig.ml
	$(MAKE) copy_steal FILE=utils/warnings.mli
	$(MAKE) copy_steal FILE=parsing/asttypes.mli
	$(MAKE) copy_steal FILE=parsing/location.mli
	$(MAKE) copy_steal FILE=parsing/longident.mli
	$(MAKE) copy_steal FILE=parsing/parsetree.mli

copy_steal:
	sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/$(FILE) > $(OVERSION)/$(FILE)

compare_stolen:
	@if test "$(OCAML_SRC)" = ""; then \
		echo "usage: make compare_stolen OCAML_SRC=..."; exit 1; \
	fi
	$(MAKE) real_compare_stolen OCAML_SRC="$$(cd ..; cd $(OCAML_SRC); pwd)"

real_compare_stolen:
	@echo =================================================
	@echo warnings.ml
	@sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/utils/warnings.mli | \
	diff $(OVERSION)/utils/warnings.mli -; exit 0
	@echo =================================================
	@echo pconfig.ml
	@(echo "let ocaml_version = \"$(OVERSION)\""; \
	  grep "ast_.*_magic_number" $(OCAML_SRC)/utils/config.ml) | \
	sed -e 's/^and/let/' | diff $(OVERSION)/utils/pconfig.ml -; exit 0
	@echo =================================================
	@echo asttypes.mli
	@sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/parsing/asttypes.mli | \
	diff $(OVERSION)/parsing/asttypes.mli -; exit 0
	@echo =================================================
	@echo location.mli
	@sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/parsing/location.mli | \
	diff $(OVERSION)/parsing/location.mli -; exit 0
	@echo =================================================
	@echo longident.mli
	@sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/parsing/longident.mli | \
	diff $(OVERSION)/parsing/longident.mli -; exit 0
	@echo =================================================
	@echo parsetree.mli
	@sed 's/\$$Id.*\$$/Id/' $(OCAML_SRC)/parsing/parsetree.mli | \
	diff $(OVERSION)/parsing/parsetree.mli -; exit 0

=== ocpp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1563 2007-11-26 09:20:52Z deraugla $
+# $Id: Makefile,v 1.8 2007/11/26 09:20:52 deraugla Exp $
 
 include ../config/Makefile

=== odyl/Makefile ===
# $Id: Makefile,v 1.13 2007/11/26 09:20:52 deraugla Exp $

TOP=..
include $(TOP)/config/Makefile

SHELL=/bin/sh

INCLUDES=
OCAMLCFLAGS=-warn-error A $(INCLUDES)
LINKFLAGS=$(INCLUDES)

OBJS=odyl_config.cmo odyl_main.cmo

all: odyl$(EXE)

opt: odyl.cmxa odyl.cmx

odyl$(EXE): odyl.cma odyl.cmo
	$(OCAMLC) odyl.cma odyl.cmo -o odyl$(EXE)

odyl.cma: $(OBJS)
	$(OCAMLC) $(LINKFLAGS) dynlink.cma $(OBJS) -a -o odyl.cma

odyl.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) $(LINKFLAGS) $(OBJS:.cmo=.cmx) -a -o odyl.cmxa

odyl_main.cmx: odyl_main.ml
	$(CAMLP5_COMM) -DOPT -o odyl_main.ppo odyl_main.ml
	$(OCAMLOPT) -c -impl odyl_main.ppo
	rm -f odyl_main.ppo

odyl_config.ml:
	echo "let standard_library =" > odyl_config.ml
	echo "  try Sys.getenv \"CAMLP5LIB\" with" >> odyl_config.ml
	echo "    Not_found -> \"$(LIBDIR)/$(NAME)\"" | \
	sed -e 's|\\|/|g' >> odyl_config.ml

clean::
	rm -f *.cm* *.pp[io] *.[ao] *.obj *.lib *.bak .*.bak *.out *.opt
	rm -f odyl_config.ml odyl$(EXE)

depend:
	cp .depend .depend.bak
	> .depend
	@export LC_ALL=C; for i in $$(ls *.mli *.ml); do \
	  NAME=$(NAME) ../tools/depend.sh $(INCLUDES) $$i | \
	  sed -e 's| $(OTOP)| $$(OTOP)|g' >> .depend; \
	done

promote:

compare:

install:
	-$(MKDIR) "$(DESTDIR)$(LIBDIR)/$(NAME)" "$(DESTDIR)$(BINDIR)"
	cp odyl.cmo odyl.cma "$(DESTDIR)$(LIBDIR)/$(NAME)/."
	if test -f odyl.cmxa; then \
	  cp odyl.cmxa odyl.cmx "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	  cp odyl$(EXT_LIB) odyl$(EXT_OBJ) "$(DESTDIR)$(LIBDIR)/$(NAME)/."; \
	fi

include .depend

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile 1804 2007-12-27 10:30:24Z deraugla $
-# Copyright (c) INRIA 2007-2008
+# $Id: Makefile,v 1.9 2010/02/19 09:06:41 deraugla Exp $
+# Copyright (c) INRIA 2007-2010
 
 DEP=../etc/pr_r.cmo quot_r.out.ml

=== top/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1863 2008-01-05 11:36:32Z deraugla $
+# $Id: Makefile,v 1.25 2008/01/05 11:36:32 deraugla Exp $
 
 TOP=..
 include ../config/Makefile

=== doc/htmlp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1823 2007-12-28 13:43:03Z deraugla $
+# $Id: Makefile,v 1.41 2010/02/19 09:31:10 deraugla Exp $
 
 H=../html
 OBJS=$H/index.html $H/about.html $H/ast_strict.html $H/ast_transi.html $H/bparsers.html $H/commands.html $H/conclusion.html $H/extfun.html $H/fparsers.html $H/grammars.html $H/lexers.html $H/library.html $H/locations.html $H/macros.html $H/ml_ast.html $H/opretty.html $H/parsers.html $H/pcaml.html $H/pprintf.html $H/pragma.html $H/pretty.html $H/printers.html $H/ptools.html $H/q_ast.html $H/quot.html $H/revsynt.html $H/scheme.html $H/sources.html $H/strict.html $H/syntext.html
@@ -13,6 +13,12 @@
 tex:
 	@$(MAKE) --no-print-directory camlp5.dvi H=.
 
+ps:
+	@$(MAKE) --no-print-directory camlp5.ps H=.
+
+pdf:
+	@$(MAKE) --no-print-directory camlp5.pdf H=.
+
 camlp5.info: html2texi $(OBJS)
 	./html2texi > camlp5.texi
 	makeinfo --force camlp5.texi
@@ -25,9 +31,15 @@
 camlp5.tex: html2latex $(OBJS)
 	./html2latex > camlp5.tex
 
+camlp5.ps: camlp5.dvi
+	dvips -f- camlp5.dvi > camlp5.ps
+
+camlp5.pdf: camlp5.ps
+	ps2pdf camlp5.ps > camlp5.pdf
+
 clean:
 	rm -f $(OBJS) $(RSS)
-	rm -f camlp5.texi camlp5.info*
+	rm -f camlp5.texi camlp5.info* camlp5.ps
 	rm -f camlp5.tex camlp5.dvi camlp5.log camlp5.toc camlp5.aux
 
 ../html/%.html: %.html menu.html trailer.html

=== debian/changelog ===
camlp5 (5.14-1) unstable; urgency=low

  * New upstream release
    - remove all patches (applied upstream)
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 May 2010 12:18:31 +0200

camlp5 (5.13-1) unstable; urgency=low

  * New upstream release:
    - remove Add-partial-OCaml-3.11.2-support.patch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 09 Apr 2010 07:28:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Stefano Zacchiroli <zack@debian.org>,
  Sylvain Le Gall <gildor@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>,
  Stéphane Glondu <glondu@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 CONFIGURE_FLAGS += -name $(PKGNAME)
 CONFIGURE_FLAGS += -mandir /usr/share/man
 
+DEB_INSTALL_DOCS_ALL := -X.cvsignore
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 DEB_MAKE_BUILD_TARGET = world.opt
@@ -24,11 +25,6 @@
 
 configure/$(PKGNAME):: debian/configure-stamp
 debian/configure-stamp:
-	cp -a ocaml_stuff/3.11.1 ocaml_stuff/3.11.2
-	sed -i \
-	  -e 's/let ocaml_version = "3.11.1"/let ocaml_version = "3.11.2"/' \
-	  ocaml_stuff/3.11.2/utils/pconfig.ml
-	cp -a ocaml_src/main/ast2pt.ml_3.11.1 ocaml_src/main/ast2pt.ml_3.11.2
 	./configure $(CONFIGURE_FLAGS)
 	touch debian/configure-stamp
 clean::
@@ -36,7 +32,6 @@
 	rm -f doc/html/*.html config/Makefile config/Makefile.cnf myconfig
 	rm -Rf doc/html/rss
 	rm -f ocaml_src/main/ast2pt.ml
-	rm -Rf ocaml_stuff/3.11.2 ocaml_src/main/ast2pt.ml_3.11.2
 
 pre-build:: debian/META
 debian/META: debian/META.src

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://pauillac.inria.fr/~ddr/camlp5/ .*camlp5-([\d.]*)\.tgz

## camlp5 6.02.2

=== test/Makefile ===
# $Id: Makefile,v 6.3 2010-09-16 08:32:02 deraugla Exp $
# Copyright (c) INRIA 2007-2010

DEP=../etc/pr_r.cmo quot_r.out.ml

all: quot_r.mlt quot_r.mlu quot_o.mlu

clean:
	rm -f *.ml[tu]

compare_quot:
	./mkquot.sh | diff quot_r.out.ml -

quot:
	./mkquot.sh > quot_r.out.ml -

compare_quot_o:
	./mkquot_o.sh | diff quot_o.ml -

quot_o:
	./mkquot_o.sh > tmp
	mv tmp quot_o.ml

quot_r.mlt: quot_r.ml ../meta/camlp5r ../meta/q_MLast.cmo $(DEP)
	../meta/camlp5r ../meta/q_MLast.cmo ../etc/pr_r.cmo quot_r.ml | diff -I '(\*' -B quot_r.out.ml -
	@touch $@

quot_r.mlu: quot_r.ml ../meta/camlp5r ../meta/q_ast.cmo $(DEP)
	../meta/camlp5r ../meta/q_ast.cmo ../etc/pr_r.cmo quot_r.ml | diff -I '(\*' -B quot_r.out.ml -
	@touch $@

quot_o.mlu: quot_o.ml ../etc/camlp5o ../meta/q_ast.cmo $(DEP)
	../etc/camlp5o ../meta/q_ast.cmo ../etc/pr_r.cmo quot_o.ml | diff -I '(\*' -B quot_r.out.ml -
	@touch $@

quot_sch.mlu: quot_sch.ml ../etc/camlp5sch ../meta/q_ast.cmo $(DEP)
	../etc/camlp5sch ../meta/q_ast.cmo ../etc/pr_r.cmo quot_sch.ml | diff quot_r.out.ml -
	@touch $W

=== debian/changelog ===
camlp5 (6.02.2-1build2) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:08:06 -0600

camlp5 (6.02.2-1build1) oneiric; urgency=low

  * No-change rebuild with OCaml 3.12.0 (lp: #778057)

 -- Michael Bienia <geser@ubuntu.com>  Thu, 05 May 2011 20:46:04 +0200

camlp5 (6.02.2-1) unstable; urgency=low

  * New upstream release
    - apply upstream patches patch-6.02.2-[123]

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 12:14:07 +0200

camlp5 (6.02.1-1) unstable; urgency=low

  * New upstream release
    - import upstream patches 6.02.1-{1,2,3}
  * Put the full text of BSD license in debian/copyright
  * debian/control:
    - replace Conflicts (with old ocaml-nox) with Breaks
    - bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Feb 2011 05:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9.1),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-compiler-libs
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlp5.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlp5.git
 Homepage: http://pauillac.inria.fr/~ddr/camlp5/
@@ -26,7 +26,8 @@
  ${misc:Depends}
 Suggests: ocaml-findlib
 Provides: ${ocaml:Provides}
-Conflicts: ocaml-nox (<< 3.10.0)
+Breaks: ocaml-nox (<< 3.10.0)
+Replaces: ocaml-nox (<< 3.10.0)
 Description: Pre Processor Pretty Printer for OCaml - classical version
  Objective Caml (OCaml) is an implementation of the ML language,
  based on the Caml Light dialect extended with a complete
